All About Symbian - Nokia (S60) and Sony Ericsson (UIQ) smartphones unwrapped

  #1  
Old 08-02-2010, 06:52 PM
expalmandse expalmandse is offline
Registered User
 
Join Date: Feb 2010
Location: London
Posts: 14
expalmandse is on a distinguished road
Need Nokia Maps 2.0 for 5800

I deleted my original Maps s/w v.2 to upgrade to v.3.
Went to Ovi and downloaded Maps v.3 but could not install it (says wrong f/w)

I understand the new map s/w requires the latest f/w v.4. I'm with 3 Network UK = F/W 4 not available yet (and probably for long)

Thus, I want to reinstall old Maps s/w but cannot find v.2 anywhere! All Nokia dowload sources give me only the new v.3

I'm I correct? Where to find old Maps v.2? Obviously OVI compatibility is misfiring


Note: I also reset to factory settings (hoping to have the maps in there). I still have the Maps icon, and when pressed it shows as it was loading and then says that I need to upgrade to newest version. So the situation is no clear cut for me, but I have neither maps nor voice navigation!

  #2  
Old 08-02-2010, 07:15 PM
Hooksym Hooksym is offline
Registered User
 
Join Date: Mar 2009
Location: Virginia, USA
Posts: 121
Hooksym is on a distinguished road
Quote:
Originally Posted by expalmandse View Post
I deleted my original Maps s/w v.2 to upgrade to v.3.
Went to Ovi and downloaded Maps v.3 but could not install it (says wrong f/w)

I understand the new map s/w requires the latest f/w v.4. I'm with 3 Network UK = F/W 4 not available yet (and probably for long)

Thus, I want to reinstall old Maps s/w but cannot find v.2 anywhere! All Nokia dowload sources give me only the new v.3

I'm I correct? Where to find old Maps v.2? Obviously OVI compatibility is misfiring


Note: I also reset to factory settings (hoping to have the maps in there). I still have the Maps icon, and when pressed it shows as it was loading and then says that I need to upgrade to newest version. So the situation is no clear cut for me, but I have neither maps nor voice navigation!
I think there is something else going on here. Maps V3 should be just fine with V3.x firmware, which I have on my NAM 5800. Try downloading from the web and installing via the desktop (which is what I did).
Ads

  #3  
Old 09-02-2010, 02:07 AM
expalmandse expalmandse is offline
Registered User
 
Join Date: Feb 2010
Location: London
Posts: 14
expalmandse is on a distinguished road
Quote:
Originally Posted by Hooksym View Post
I think there is something else going on here. Maps V3 should be just fine with V3.x firmware, which I have on my NAM 5800. Try downloading from the web and installing via the desktop (which is what I did).
Checking the details I have firmware V 30.0.011, while Ovi tells me Maps V 3.03 requires f/w V 31.0.008 to work (higher than I have).

I downloaded Maps V.3.03 via PC, and the phone still tells me I need to upgrade f/w when . Ovi tells me what I need, but not what to do if I do not have the required f/w.

Last edited by expalmandse; 09-02-2010 at 02:09 AM. Reason: small clarification

  #4  
Old 09-02-2010, 03:45 AM
Hooksym Hooksym is offline
Registered User
 
Join Date: Mar 2009
Location: Virginia, USA
Posts: 121
Hooksym is on a distinguished road
Quote:
Originally Posted by expalmandse View Post
Checking the details I have firmware V 30.0.011, while Ovi tells me Maps V 3.03 requires f/w V 31.0.008 to work (higher than I have).

I downloaded Maps V.3.03 via PC, and the phone still tells me I need to upgrade f/w when . Ovi tells me what I need, but not what to do if I do not have the required f/w.
Hmmm, we never got a firmware v30 that I know of over here-- went right form v21 to v31. I suspect this is a problem that originates with your carrier (why I only buy unlocked and unbranded). Did you try going to this page here and putting in your product code?

http://www.nokia.co.uk/support/downl...e/can-i-update

I'm sorry I don't have any archived Ovi Maps installers.

  #5  
Old 09-02-2010, 01:25 PM
expalmandse expalmandse is offline
Registered User
 
Join Date: Feb 2010
Location: London
Posts: 14
expalmandse is on a distinguished road
RESOLVED using OviSuite Software Updater

At the end I was able to install Maps v3.0 using Ovi Suite.

Thanks Hooksym for your help.

Before that, I downloaded directly on the phone from OVI, from Nokia Maps site and other sites and no luck. Then through the PC directly into the phone no luck. Then used Nokia PC suite (which is what I normally use instead of Ovi Suite) and no luck.

But, contrary to my expectations, Ovi Suite Software Updater does work differently than PC Suite Software Updater . It was able to pick the right map for my product code (my guess of how it works).

So, OviSuite is the way to go forward. I did not like it much because it has OviShare built in (a risk of sharing what I do not want to share?) and uses a filing system different as well (placing backup files in additional places in the PC) . But I'll work with it.

Sorry Nokia to put so much blame on you (you just deserved some as OVI should show different versions and firmware requirements)
3-UK: You should be ashmed at the utter ignorance of your Technical Support. One guy I discussed this with had no clue whatsoever of what a firmware was. He also told me I should solely use software from 3 Website

Hopes this helps someone else
 

Bookmarks

Tags
3-uk, 5800, maps, nokia, ovi maps 3.3, upgrade

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[HOT][NEW] N80 RM-92 IE APAC PR v15.00 SW4.0632.0.38 juato4 Nokia N80 176 25-04-2007 03:19 PM



All times are GMT. The time now is 08:53 PM.


vBulletin skins developed by: eXtremepixels
Powered by vBulletin® Version 3.8.0
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
Copyright Notes || Contact Us || Privacy Policy